Skip to main content
Topic: [ADDON] Fancybox  (Read 8223 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Re: [ADDON] Fancybox

Reply #60
Great, it works now as expected! Thank you!

Re: [ADDON] Fancybox

Reply #61
Support Elk 1.1?
Sorry for my English

Re: [ADDON] Fancybox

Reply #62
It will be updated :D and PR's are welcome !
Squish squish. squish, squish, squish.
Find a bug,
Make a wish.

Re: [ADDON] Fancybox

Reply #63
Updated package to support ElkArte 1.1
Squish squish. squish, squish, squish.
Find a bug,
Make a wish.

Re: [ADDON] Fancybox

Reply #64
I am using the latest version 1.0.6 of this addon on elkarte 1.0 and I was looking in my php error log and I found a lot of lines with this error:
[04-Mar-2018 21:17:06 Europe/Rome] PHP Notice:  Use of undefined constant FORUM_VERSION - assumed 'FORUM_VERSION' in .../public/sources/subs/fb4elk.subs.php on line 48
Code: [Select]
47.	// Disable the built in lightbox support in ElkArte 1.1
48. if (substr(FORUM_VERSION, 8, 3) === '1.1')
49. {
50. addInlineJavascript('$(document).ready(function() {$("[data-lightboximage]").off("click.elk_lb");});');
51. }

Seems that changing:
Code: [Select]
	if (substr(FORUM_VERSION, 8, 3) === '1.1')
with:
Code: [Select]
	if (substr('FORUM_VERSION', 8, 3) === '1.1')
solves the problem

This also broke image cache addon for elkarte 1.0.x
sorry for my bad english